/*
 * Created on 26-apr-2004
 */
package a3.domain;

import convFramework.domain.*;
import jaCop.domain.*;

/**
 * @author Lompa
 */
public class A3StructureRequest extends A3Packet{
	
	private A3Node requester = null;
	
	/**
	 * @param community
	 * @param sender
	 * @param convID
	 * @param packetID
	 */
	public A3StructureRequest(String community, A3Node sender,
			IConversationID convID, IPacketID packetID) {
		super(community, sender, convID, packetID);
	}
	/**
	 * @return Returns the requester.
	 */
	public A3Node getRequester() {
		return requester;
	}
	/**
	 * @param requester The requester to set.
	 */
	public void setRequester(A3Node requester) {
		this.requester = requester;
	}
	
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getType()
	 */
	public String getType() {
		return getTypeDescription();
	}
	
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getTypeDescription()
	 */
	public static String getTypeDescription(){
		return "A3StructureRequest";
	}

}
